# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_Ellipse Class Reference

`#include <PGeom2d_Ellipse.hxx>`

Inheritance diagram for PGeom2d_Ellipse:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom2d_Ellipse ()
| Creates an ellipse with default values. .
Standard_EXPORT | PGeom2d_Ellipse (const gp_Ax22d &aPosition, const Standard_Real aMajorRadius, const Standard_Real aMinorRadius)
| Creates an Ellipse with <aposition>, <amajorradius> and <aminorradius> as field values. The major radius of the ellipse is on the "XAxis" and the minor radius of the ellipse is on the "YAxis". .
Standard_EXPORT void | MajorRadius (const Standard_Real aMajorRadius)
| Set the value of the field majorRadius with <amajorradius>. .
Standard_EXPORT Standard_Real | MajorRadius () const
| Returns the value of the field majorRadius. .
Standard_EXPORT void | MinorRadius (const Standard_Real aMinorRadius)
| Set the value of the field minorRadius with <aminorradius>. .
Standard_EXPORT Standard_Real | MinorRadius () const
| Returns the value of the field minorRadius. .
| PGeom2d_Ellipse (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPGeom2d_EllipsemajorRadius () const
void | _CSFDB_SetPGeom2d_EllipsemajorRadius (const Standard_Real p)
Standard_Real | _CSFDB_GetPGeom2d_EllipseminorRadius () const
void | _CSFDB_SetPGeom2d_EllipseminorRadius (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | majorRadius
Standard_Real | minorRadius

## Constructor & Destructor Documentation

Standard_EXPORT PGeom2d_Ellipse::PGeom2d_Ellipse | ( |  | ) |

Standard_EXPORT PGeom2d_Ellipse::PGeom2d_Ellipse | ( | const gp_Ax22d & | aPosition,
|  | const Standard_Real | aMajorRadius,
|  | const Standard_Real | aMinorRadius
| ) |

PGeom2d_Ellipse::PGeom2d_Ellipse | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PGeom2d_Ellipse::_CSFDB_GetPGeom2d_EllipsemajorRadius | ( |  | ) | const`[inline]`

Standard_Real PGeom2d_Ellipse::_CSFDB_GetPGeom2d_EllipseminorRadius | ( |  | ) | const`[inline]`

void PGeom2d_Ellipse::_CSFDB_SetPGeom2d_EllipsemajorRadius | ( | const Standard_Real | p | ) | `[inline]`

void PGeom2d_Ellipse::_CSFDB_SetPGeom2d_EllipseminorRadius | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT const PGeom2d_Ellipse::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Conic.

Standard_EXPORT Standard_Real PGeom2d_Ellipse::MajorRadius | ( |  | ) | const

Standard_EXPORT void PGeom2d_Ellipse::MajorRadius | ( | const Standard_Real | aMajorRadius | ) |

Standard_EXPORT Standard_Real PGeom2d_Ellipse::MinorRadius | ( |  | ) | const

Standard_EXPORT void PGeom2d_Ellipse::MinorRadius | ( | const Standard_Real | aMinorRadius | ) |

## Field Documentation

Standard_Real PGeom2d_Ellipse::majorRadius `[private]`

Standard_Real PGeom2d_Ellipse::minorRadius `[private]`

The documentation for this class was generated from the following file:

- PGeom2d_Ellipse.hxx